%global gittag 0.5

Name:		tivodecode-ng
Version:	%{gittag}
Release:	1%{?dist}
Summary:	Convert a .TiVo file from TiVoToGo to a normal MPEG

Group:		Applications/Multimedia
# sha1.c is public domain, but resulting package is BSD and QUALCOMM
License:	BSD and QUALCOMM
URL:		https://github.com/wmcbrine/tivodecode-ng
Source0:	https://github.com/wmcbrine/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz

BuildRequires:	gcc-c++

Provides:	tivodecode = %{version}-%{release}
Obsoletes:	tivodecode < 0.2-0.17.pre4%{?dist}

%description
tivodecode-ng ("ng" for "next generation") is a portable command-line
tool for decrypting .TiVo video files into program streams or
transport streams, depending on the source. It also will decrypt the
metadata (title, description, etc.). It's based on tivodecode by
Jeremy Drake, with enhancements by several contributors. tivodecode-ng
adds support for transport streams, although that's a work in
progress. (Note that support for program streams is as complete as
ever.)


%prep
%autosetup -n %{name}-%{gittag}


%build
#autoreconf -i -f
%configure
%{make_build}


%install
%{make_install}


%files
%{_bindir}/*
%license COPYING.md
%doc AUTHORS.md README.md NEWS.md


%changelog
* Thu Jul 01 2021 Charles R. Anderson <cra@alum.wpi.edu> - 0.5-1
- initial release
